##
#  /etc/xen-tools/xen-tools.conf
##
#
#  This is the global configuration file for the scripts included
# within the xen-tools package.
#
#  For more details please see:
#
#        https://xen-tools.org/
#
##


##
#
# File Format
# -----------
#
#  Anything following a '#' character is ignored as a comment.
#
#  Otherwise the format of this file "key = value".  The value of
# any keys in this file may be constructed via the output of a command.
#
#  For example:
#
#         kernel = /boot/vmlinuz-`uname -r`
#
##



#
##
#  Output directory for storing loopback images.
#
#  If you choose to use loopback images, which are simple to manage but
# slower than LVM partitions, then specify a directory here and uncomment
# the line.
#
#  New instances will be stored in subdirectories named after their
# hostnames.
# 
##
# dir = /home/xen
#

#
##
#
# If you don't wish to use loopback images then you may specify an 
# LVM volume group here instead
#
##
lvm = vg_1


#
##
#
#  Installation method.
#
#  There are four distinct methods which you may to install a new copy
# of Linux to use in your Xen guest domain:
#
#   - Installation via the debootstrap command.
#   - Installation via the rpmstrap command.
#   - Installation via the rinse command.
#   - Installation by copying a directory containing a previous installation.
#   - Installation by untarring a previously archived image.
#
#  NOTE That if you use the "untar", or "copy" options you should ensure
# that the image you're left with matches the 'dist' setting later in
# this file.
#
#
##
#
# 
# install-method = [ debootstrap | rinse | rpmstrap | copy | tar ]
#
#
install-method = debootstrap

#
# If you're using the "copy", or "tar" installation methods you must
# need to specify the source location to copy from, or the source
# .tar file to unpack.
#
# You may specify that with a line such as:
#
# install-source = /path/to/copy
# install-source = /some/path/img.tar
#
#

#
##
#  Command definitions.
##
#
# The "rinse", and "rpmstrap" commands are hardwired into 
# the script, but if you wish to modify the commands which are executed
# when installing new systems by a "copy", "debootstrap", or "tar" method
# you can do so here:
#
# (This allows you to install from a .tar.bz file, rather than a plain
# tar file, use cdebootstrap, etc.)
#
# install-method = copy:
# copy-cmd = /bin/cp -a $src/* $dest
#
# install-method = debootstrap:
# debootstrap-cmd = /usr/sbin/debootstrap
#
# install-method = tar:
# tar-cmd  = /bin/tar --numeric-owner -xvf $src
#
#



#
##
#  Disk and Sizing options.
##
#
size   = 20G           # Root disk, suffix (G, M, k) required
memory = 1G            # Suffix (G, M, k) required
#maxmem = 2G           # Suffix (G, M, k) optional
swap   = 1G           # Suffix (G, M, k) required
# noswap = 1           # Don't use swap at all for new systems.
fs     = ext4          # Default file system for any disk
dist   = `xt-guess-suite-and-mirror --suite`
                       # Default distribution is determined by Dom0's distribution
image  = full          # Specify sparse vs. full disk images (file based images only)

#
#  See the README for currently supported and tested distributions. You can
# either find it in the root directory of the unpacked source or, on Debian
# and Ubuntu based systems, in /usr/share/doc/xen-tools/README.gz
#



##
# Networking setup values.
##

#
# Uncomment and adjust these network settings if you wish to give your
# new instances static IP addresses.
#
gateway    = 10.0.x.1
netmask    = 255.255.255.0
broadcast  = 10.0.x.255
#
# Uncomment this if you wish the images to use DHCP
#
# dhcp = 1

#
# Uncomment and adjust this setting if you wish to give your new
# instances a specific nameserver.
#
# By default, nameserver is not set, and Dom0's /etc/resolv.conf will
# be copied to guest.
#
# nameserver = 192.168.1.1
#

#
# Setup bridge name for host vif. Useful if you use bridged networking
# for guests.
#
bridge = xenbr0
#

##
# Misc options
##

#
# Uncomment the following line if you wish to disable the caching
# of downloaded .deb files when using debootstrap to install images.
#
# cache = no
#

#
# The default cachedir is, /var/cache/apt/archives/, however if it
# does not exist it will default to /var/cache/xen-tools/archives/
# Uncomment the line below to set it to something else.
#
# cachedir = /var/cache/xen-tools/archives/
#

#
# Uncomment the following line if you wish not to generate a new root
# password for the new guest.
#
# genpass = 0
#

#
# You can also change the password length by uncommenting and
# changing the line below
#
# genpass_len = 8
#

#
# You can yet change the hashing method to encrypt the generated
# password by changing the line below.
# Valid values : md5, sha256 and sha512.
#
# hash_method = sha256
#

#
# Uncomment the following line if you wish to interactively setup a
# new root password for images.
#
passwd = 1
#

#
# If you'd like all accounts on your host system which are not present
# on the guest system to be copied over then uncomment the following line.
#
# accounts = 1
#

#
# Default kernel and ramdisk to use for the virtual servers
#
kernel = /boot/vmlinuz-`uname -r`
initrd = /boot/initrd.img-`uname -r`

#
# Uncomment the following line if you wish to use pygrub by default
# for all distributions.
#
pygrub = 1
#

#
#  The architecture to use when using debootstrap, rinse, or rpmstrap.
#
#  This is most useful on 64 bit host machines, for other systems it
# doesn't need to be used.
#
arch = amd64
#

#
# Use the mirror configured on the DomU as default mirror
#
mirror = `xt-guess-suite-and-mirror --mirror`

# If this is defined it will be used by debootstrap, and configured as the
# proxy for the guest
#
# apt_proxy =

#
#  Filesystem options for the different filesystems we support.
#
ext4_options     = noatime,nodiratime,errors=remount-ro
ext3_options     = noatime,nodiratime,errors=remount-ro
ext2_options     = noatime,nodiratime,errors=remount-ro
xfs_options      = defaults
reiserfs_options = defaults
btrfs_options    = defaults

#
#  Uncomment if you wish newly created images to boot once they've been
# created.
#
# boot = 1


#
#  If you're using the lenny or later version of the Xen guest kernel you will
# need to make sure that you use 'hvc0' for the guest serial device,
# and 'xvdX' instead of 'sdX' for disk devices.
#
#  You may specify the things to use here:
#
serial_device = hvc0
# serial_device = tty1
#
disk_device = xvda
# disk_device = sda
#


#
#  Here we specify the output directory which the Xen configuration
# files will be written to, and the suffix to give them.
#
#  Historically xen-tools have created configuration files in /etc/xen,
# and given each file the name $hostname.cfg.  If you want to change
# that behaviour you may do so here.
#
#
output    = /etc/xen
extension = .pvlinux
#

#
#  Here you can control weather your dom0's /etc/hosts file should be
# appended with the new guest, and also if your dom0's /etc/hosts file
# should be copied to the new guest.
#
#  Change the following options to 1 to set them
# nohosts - don't touch the dom0's /etc/hosts file
# copyhosts - copy the dom0's /etc/hosts to the guest
#
#  by default new guests ARE added to the dom0's /etc/hosts file
nohosts = 1
#
#  by default the dom0's /etc/hosts IS NOT copied
# copyhosts = 0 # default
#

